package main

import (
	"claim-monitor/config"
	"claim-monitor/dao"
	"claim-monitor/server"
	"claim-monitor/service"
	"flag"

	log "github.com/sirupsen/logrus"
)

func init() {
	log.SetFormatter(&log.TextFormatter{
		FullTimestamp: true,
	})
}

func main() {
	flag.Parse()
	conf, err := config.New()
	if err != nil {
		panic(err)
	}

	da, err := dao.New(conf)
	if err != nil {
		panic(err)
	}

	if conf.Debug {
		log.SetLevel(log.DebugLevel)
	}

	// http server
	srv := service.New(conf, da)
	server.Run(srv, conf)
}
